CCorrelationEvaluator Class Reference
Perfusion Analysis

evaluate the correlation between neighboring pixels in an image series More...

`#include <mia/2d/correlation_weight.hh>`

## Data Structures

struct | result_type

## Public Member Functions

| CCorrelationEvaluator (double thresh)
result_type | operator() (const std::vector< P2DImage > &images, size_t skip=0) const
| ~CCorrelationEvaluator ()

## Detailed Description

evaluate the correlation between neighboring pixels in an image series

Evaluate time-intensity correlations of neighboring pixels in a series of images. This class is used to evaluate a pseude ground truth for motion compensation. See C2DGroundTruthEvaluator for more information

Definition at line 39 of file correlation_weight.hh.

## Constructor & Destructor Documentation

## CCorrelationEvaluator()

CCorrelationEvaluator::CCorrelationEvaluator | ( | double | thresh | ) |

Construct the correlation evaluator

Parameters

  thresh | considers what correlation should identify pixels as belonging to the same tissue.

## ~CCorrelationEvaluator()

CCorrelationEvaluator::~CCorrelationEvaluator | ( |  | ) |

## Member Function Documentation

## operator()()

result_type CCorrelationEvaluator::operator() | ( | const std::vector< P2DImage > & | images,
|  | size_t | skip = 0 ) const

Evaluate the time-intensity correlation images

Parameters

  images | image series
  skip | number of images that should be skipped at the beginning of the series.

The documentation for this class was generated from the following file:

- correlation_weight.hh